unit Lppx2_frame;

interface


uses
  System.Drawing, System.Collections, System.ComponentModel,
  System.Windows.Forms, System.Data, ComObj, SysUtils,
  Borland.Vcl.Variants, LabelManager2, Clipbrd, Graphics,
  Borland.Vcl.ExtCtrls, System.Resources, Borland.Vcl.Dialogs   ;

type
 TWinForm = class(System.Windows.Forms.Form)

  {$REGION 'Code manag du concepteur'}
  strict private
    /// <summary>
    /// Variable concepteur obligatoire.
    /// </summary>
    components: System.ComponentModel.IContainer;
    OpenFileDialog1: System.Windows.Forms.OpenFileDialog;
    Label1: System.Windows.Forms.Label;
    t_labFile: System.Windows.Forms.TextBox;
    b_browse: System.Windows.Forms.Button;
    b_print: System.Windows.Forms.Button;
    Label2: System.Windows.Forms.Label;
    t_qty: System.Windows.Forms.TextBox;
    b_varForm: System.Windows.Forms.Button;
    b_pageSetup: System.Windows.Forms.Button;
    b_quit: System.Windows.Forms.Button;
    b_save: System.Windows.Forms.Button;
    /// <summary>
    /// Mthode obligatoire pour la gestion du concepteur - Ne modifiez pas
    /// le contenu de cette mthode avec l'diteur de code.
    /// </summary>
    procedure InitializeComponent;
    procedure TWinForm_Load(sender: System.Object; e: System.EventArgs);
    procedure Button1_Click(sender: System.Object; e: System.EventArgs);
    procedure UpdatePreview ();
    procedure b_print_Click(sender: System.Object; e: System.EventArgs);
    procedure b_varForm_Click(sender: System.Object; e: System.EventArgs);
    procedure b_pageSetup_Click(sender: System.Object; e: System.EventArgs);
    procedure b_quit_Click(sender: System.Object; e: System.EventArgs);
    procedure b_save_Click(sender: System.Object; e: System.EventArgs);
  {$ENDREGION}
  strict protected
    /// <summary>
    /// Nettoyage des ressources utilises.
    /// </summary>
    procedure Dispose(Disposing: Boolean); override;
   private
  var CsApp : LabelManager2.ApplicationClass ;
    { Dclarations prives }
  public
    constructor Create;

  end;

  [assembly: RuntimeRequiredAttribute(TypeOf(TWinForm))]

implementation
      uses system.Reflection ;
{$AUTOBOX ON}

{$REGION 'Code gnr par le concepteur Windows Form'}
/// <summary>
/// Mthode obligatoire pour la gestion du concepteur - Ne modifiez pas
/// le contenu de cette mthode avec l'diteur de code.
/// </summary>
procedure TWinForm.InitializeComponent;
begin
  Self.OpenFileDialog1 := System.Windows.Forms.OpenFileDialog.Create;
  Self.Label1 := System.Windows.Forms.Label.Create;
  Self.t_labFile := System.Windows.Forms.TextBox.Create;
  Self.b_browse := System.Windows.Forms.Button.Create;
  Self.b_print := System.Windows.Forms.Button.Create;
  Self.Label2 := System.Windows.Forms.Label.Create;
  Self.t_qty := System.Windows.Forms.TextBox.Create;
  Self.b_varForm := System.Windows.Forms.Button.Create;
  Self.b_pageSetup := System.Windows.Forms.Button.Create;
  Self.b_quit := System.Windows.Forms.Button.Create;
  Self.b_save := System.Windows.Forms.Button.Create;
  Self.SuspendLayout;
  // 
  // Label1
  // 
  Self.Label1.Location := System.Drawing.Point.Create(8, 12);
  Self.Label1.Name := 'Label1';
  Self.Label1.Size := System.Drawing.Size.Create(72, 16);
  Self.Label1.TabIndex := 0;
  Self.Label1.Text := 'Open label : ';
  // 
  // t_labFile
  // 
  Self.t_labFile.Location := System.Drawing.Point.Create(72, 10);
  Self.t_labFile.Name := 't_labFile';
  Self.t_labFile.ReadOnly := True;
  Self.t_labFile.Size := System.Drawing.Size.Create(344, 20);
  Self.t_labFile.TabIndex := 1;
  Self.t_labFile.Text := '';
  // 
  // b_browse
  // 
  Self.b_browse.Location := System.Drawing.Point.Create(424, 8);
  Self.b_browse.Name := 'b_browse';
  Self.b_browse.Size := System.Drawing.Size.Create(96, 24);
  Self.b_browse.TabIndex := 2;
  Self.b_browse.Text := 'Browse...';
  Include(Self.b_browse.Click, Self.Button1_Click);
  // 
  // b_print
  // 
  Self.b_print.Enabled := False;
  Self.b_print.Location := System.Drawing.Point.Create(120, 56);
  Self.b_print.Name := 'b_print';
  Self.b_print.Size := System.Drawing.Size.Create(40, 24);
  Self.b_print.TabIndex := 4;
  Self.b_print.Text := 'Print';
  Include(Self.b_print.Click, Self.b_print_Click);
  // 
  // Label2
  // 
  Self.Label2.Location := System.Drawing.Point.Create(8, 60);
  Self.Label2.Name := 'Label2';
  Self.Label2.Size := System.Drawing.Size.Create(88, 16);
  Self.Label2.TabIndex := 5;
  Self.Label2.Text := 'Number of ex. :';
  // 
  // t_qty
  // 
  Self.t_qty.Location := System.Drawing.Point.Create(88, 58);
  Self.t_qty.Name := 't_qty';
  Self.t_qty.Size := System.Drawing.Size.Create(24, 20);
  Self.t_qty.TabIndex := 6;
  Self.t_qty.Text := '1';
  // 
  // b_varForm
  // 
  Self.b_varForm.Enabled := False;
  Self.b_varForm.Location := System.Drawing.Point.Create(264, 56);
  Self.b_varForm.Name := 'b_varForm';
  Self.b_varForm.Size := System.Drawing.Size.Create(96, 24);
  Self.b_varForm.TabIndex := 7;
  Self.b_varForm.Text := 'Variables Form';
  Include(Self.b_varForm.Click, Self.b_varForm_Click);
  // 
  // b_pageSetup
  // 
  Self.b_pageSetup.Enabled := False;
  Self.b_pageSetup.Location := System.Drawing.Point.Create(168, 56);
  Self.b_pageSetup.Name := 'b_pageSetup';
  Self.b_pageSetup.Size := System.Drawing.Size.Create(72, 24);
  Self.b_pageSetup.TabIndex := 8;
  Self.b_pageSetup.Text := 'Page setup';
  Include(Self.b_pageSetup.Click, Self.b_pageSetup_Click);
  // 
  // b_quit
  // 
  Self.b_quit.Location := System.Drawing.Point.Create(440, 56);
  Self.b_quit.Name := 'b_quit';
  Self.b_quit.Size := System.Drawing.Size.Create(80, 24);
  Self.b_quit.TabIndex := 9;
  Self.b_quit.Text := 'Quit';
  Include(Self.b_quit.Click, Self.b_quit_Click);
  // 
  // b_save
  // 
  Self.b_save.Location := System.Drawing.Point.Create(368, 56);
  Self.b_save.Name := 'b_save';
  Self.b_save.Size := System.Drawing.Size.Create(40, 24);
  Self.b_save.TabIndex := 11;
  Self.b_save.Text := 'Save';
  Include(Self.b_save.Click, Self.b_save_Click);
  // 
  // TWinForm
  // 
  Self.AutoScaleBaseSize := System.Drawing.Size.Create(5, 13);
  Self.ClientSize := System.Drawing.Size.Create(528, 91);
  Self.Controls.Add(Self.b_save);
  Self.Controls.Add(Self.b_quit);
  Self.Controls.Add(Self.b_pageSetup);
  Self.Controls.Add(Self.b_varForm);
  Self.Controls.Add(Self.t_qty);
  Self.Controls.Add(Self.t_labFile);
  Self.Controls.Add(Self.Label2);
  Self.Controls.Add(Self.b_print);
  Self.Controls.Add(Self.b_browse);
  Self.Controls.Add(Self.Label1);
  Self.FormBorderStyle := System.Windows.Forms.FormBorderStyle.Fixed3D;
  Self.MaximizeBox := False;
  Self.Name := 'TWinForm';
  Self.Text := 'DELPHI_ Lppx2.Application';
  Include(Self.Load, Self.TWinForm_Load);
  Self.ResumeLayout(False);
end;
{$ENDREGION}

procedure TWinForm.Dispose(Disposing: Boolean);
begin
  if Disposing then
  begin
    if Components <> nil then
      begin
        CsApp.Documents.CloseAll(false);
        CsApp.Quit;
        Components.Dispose();
      end;
  end;
  CsApp.Documents.CloseAll(false);
  CsApp.Quit;
  inherited Dispose(Disposing);
end;

constructor TWinForm.Create;
begin
  inherited Create;
  //
  // Obligatoire pour la gestion du concepteur de Windows Form
  //

     
  InitializeComponent;
  //
  // TODO: Ajouter du code au constructeur aprs l'appel d'InitializeComponent
  //

end;

procedure TWinForm.b_save_Click(sender: System.Object; e: System.EventArgs);
begin
  CsApp.ActiveDocument.Save ;
end;

procedure TWinForm.b_quit_Click(sender: System.Object; e: System.EventArgs);
begin
  SELF.Dispose;
end;

procedure TWinForm.b_pageSetup_Click(sender: System.Object; e: System.EventArgs);
begin
  CsApp.Dialogs.Item(LabelManager2.enumDialogType.lppxPageSetupDialog).Show(SELF.Handle);
end;

procedure TWinForm.b_varForm_Click(sender: System.Object; e: System.EventArgs);
begin
  CsApp.Dialogs.Item(LabelManager2.enumDialogType.lppxFormDialog).Show(SELF.Handle);
end;

procedure TWinForm.b_print_Click(sender: System.Object; e: System.EventArgs);
var str : string ;
var i : Integer;
begin
  str := SELF.t_qty.get_Text;
  SELF.CsApp.ActiveDocument.PrintDocument (StrToInt (str)) ;
end;


procedure TWinForm.TWinForm_Load(sender: System.Object; e: System.EventArgs);
begin
       CsApp := labelManager2.ApplicationClass.Create ;

end;

procedure TWinForm.UpdatePreview ();
begin
  CsApp.ActiveDocument.CopyToClipboardEx(true,0,0,0,100);
end;






procedure TWinForm.Button1_Click(sender: System.Object; e: System.EventArgs);
  begin
  b_varForm.Enabled := false;
  OpenFileDialog1.InitialDirectory := CsApp.DefaultFilePath ;
  OpenFileDialog1.Filter := 'label Flies (*.lab)|*.lab' ;
  if OpenFileDialog1.ShowDialog() = System.Windows.Forms.DialogResult.OK then
    begin
      if OpenFileDialog1.OpenFile <> NULL THEN
        begin
          SELF.t_labFile.set_Text(OpenFileDialog1.FileName);
          CsApp.Documents.Open(SELF.t_labFile.get_Text,false) ;
          b_print.Enabled := True ;
          b_pageSetup.Enabled := true;
          if CsApp.ActiveDocument.Variables.Count <> 0 then
            begin
               b_varForm.Enabled := true;
            end;
          UpdatePreview;
        end;
      end;
  end;
end.
